> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decisionly.com/llms.txt
> Use this file to discover all available pages before exploring further.

# File a case

> Files a case with the card network. The case must be in 'created' status to be filed.



## OpenAPI

````yaml /api-reference/v2/openapi.yaml post /v2/issuer/cases/{case_id}/file
openapi: 3.0.0
info:
  title: Decisionly API v2
  description: Claims-based API for submission and handling of chargebacks by issuers.
  version: 2.0.0
servers:
  - url: https://api.decisionly.com
    description: Production server. Use your test key for the sandbox environment.
security:
  - basicAuth: []
tags:
  - name: v2 Cases
    description: Case management endpoints
  - name: v2 Claims
    description: Claim management endpoints
  - name: v2 Events
    description: Event endpoints
  - name: v2 Files
    description: File upload endpoints
  - name: v2 Beta
    description: Beta features - These endpoints are experimental and subject to change
paths:
  /v2/issuer/cases/{case_id}/file:
    post:
      tags:
        - v2 Cases
      summary: File a case
      description: >-
        Files a case with the card network. The case must be in 'created' status
        to be filed.
      parameters:
        - name: case_id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                file_mode:
                  description: >-
                    Filing mode. Use 'auto' to evaluate workflow rules and
                    determine if the case should be filed, or 'chargeback' to
                    file the case regardless of workflow rules.
                  enum:
                    - chargeback
                    - auto
                  example: auto
                  type: string
                queue_if_too_early:
                  description: >-
                    If true and the case is blocked only by a network waiting
                    period (filing_too_early), the case is queued instead of
                    rejected and is filed automatically once the waiting period
                    has passed. Has no effect when the case fails validation for
                    any other reason. See [Filing a
                    Dispute](/filing#queueing-a-case-that-is-too-early-to-file).
                  type: boolean
                  default: false
                  example: false
              required:
                - file_mode
      responses:
        '202':
          description: >-
            Accepted. The filing process has been initiated. Also returned when
            queue_if_too_early is true and the case was queued for filing
            instead.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
              example:
                success: true
        '400':
          description: Bad request - validation errors or invalid parameters.
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        code:
                          type: string
                        details:
                          type: object
                        message:
                          type: string
                  message:
                    type: string
              examples:
                validation_failed:
                  summary: Case failed validation
                  value:
                    errors:
                      - code: filing_too_late
                        message: >-
                          Transaction date is outside the filing window for this
                          dispute type
                      - code: documentation_missing
                        details:
                          file_category: transaction_receipt
                        message: >-
                          Transaction receipt documentation is required for this
                          dispute reason
                    message: Case failed validation.
                filing_too_late_fraud:
                  summary: Filing deadline exceeded for fraud
                  value:
                    errors:
                      - code: filing_too_late
                        message: >-
                          Chargeback must be filed within 120 days of the
                          transaction date for "Fraud" disputes.
                    message: Case failed validation.
                filing_too_early:
                  summary: Network waiting period has not passed
                  value:
                    errors:
                      - code: filing_too_early
                        details:
                          earliest_filing_date: '2026-05-15'
                        message: >-
                          Chargeback must be filed at least 15 days after the
                          refund promise date.
                    message: Case failed validation.
                invalid_file_mode:
                  summary: Invalid file_mode parameter
                  value:
                    message: Invalid file_mode parameter.
        '404':
          description: Case not found.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: Case not found.
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Use your API key as the username. No password is required.

````